<?php
/**
 * @category   Mageplaza
 * @package    Mageplaza_Helloworld
 * @author     prashant.bluethink@gmail.com
 * @copyright  This file was generated by using Module Creator(http://code.vky.co.in/magento-2-module-creator/) provided by VKY <viky.031290@gmail.com>
 * @license    http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
 */

namespace Order\Status\Model\ResourceModel;

class Helloworld extends \Magento\Framework\Model\ResourceModel\Db\AbstractDb
{
    /**
     * Define main table
     */
    protected function _construct()
    {
        $this->_init('sales_order', 'entity_id');   //here "mageplaza_helloworld" is table name and "order_id" is the primary key of custom table
    }
}